For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update order item details

Update details for an item on an order. Partial updates are allowed. Order item details can only be updated when order.orderState = OPEN and order.settleState != COMPLETE

Exception:

externalId can be changed when orderState = COMPLETE

Required permissions: SALES_ORDER,RETURN_ORDER

put
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
orderItemUidstringRequired

Reference to an order item on an order.

Pattern: ^[A-Za-z0-9-_]+
Body
discountReasonCodestringOptional
externalIdstringOptional

External reference to order line

itemDiscountAmountintegerOptional
itemDiscountPercentageintegerOptional

Used to calculate itemDiscountAmount.

itemPriceintegerOptional
notestringOptional
quantityOrderedintegerOptional
deliveryUidstringOptionalPattern: ^[A-Za-z0-9-_]*
returnReasonCodestringOptional
returnReferencestringOptional
serialnumberstringOptional
warehouseUidstringOptionalPattern: ^[A-Za-z0-9-_]*
reservationTypestring · enumOptionalPossible values:
purchaseOrderItemUidstringOptionalPattern: ^[A-Za-z0-9-_]*
sortOrderintegerOptional
itemCostPriceintegerOptional

When a product has orderSpecificCost=true: Can set costPrice on the orderItem If itemCostPrice is set and orderSpecificCost=false for the product, an error is returned

productNamestringOptional

When a product has orderSpecificName=true: Can set productName on the orderItem If itemCostPrice is set and orderSpecificName=false for the product, an error is returned

Responses
200

Example response

application/json

Use invoiceAddress only if an order has a different invoice than orderAddress.

createdAtstring · date-timeRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
deliveryStatestring · enumRequired
ENUMDescription
NOT_STARTEDDelivery not started
IN_PROGRESSDelivery is in progress. Some order lines are still reserved
COMPLETEDelivery is complete. All order lines are delivered
Possible values:
externalOrderNumberstringRequiredDeprecated
externalVoucherNumberstringRequiredDeprecated
lastModifiedAtstring · date-timeRequired
notestringRequired

Note visible on the receipt.

internalNotestringRequired

Internal note, not visible on the receipt.

orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderNumberstringRequired
orderDatestring · date-time · nullableRequired

This field has value if type == ORDER

orderStatestring · enumRequired
ENUMDescription
OPENOrder is open and beeing edited by someone
PARKEDOrder is parked
CANCELEDOrder is canceled/deleted
COMPLETEOrder is complete
CONFIRMEDOrder is confirmed
Possible values:
orderhandlingStatestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
settleStatestring · enumRequired
ENUMDescription
NOT_STARTEDSettlement not started
IN_PROGRESSSettlement is in progress and the order cannot be changed
COMPLETESettlement is complete
Possible values:
settledAtstring · date-time · nullableOptional

When the settleState is set COMPLETE.

storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storeNamestringRequired
systemOriginstringRequired
tenantUserDisplayNamestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tillUidstringRequiredPattern: ^[A-Za-z0-9-_]*
typestring · enumRequiredPossible values:
validUntilstring · date-time · nullableOptional
vatFreebooleanRequired
vatPrintstring · enumRequired
ENUMDescription
SUMPrint as a part of orderlines.
SEPARATEPrint as a separate field.
Possible values:
voucherNumberstringRequired

A reference to a fully settled order.

deliveryDatestring · dateRequired
compensationReasonUidstringRequiredPattern: ^[A-Za-z0-9-_]*
lastModifiedBystringRequired
put/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 416

{
  "discountReasonCode": "text",
  "externalId": "text",
  "itemDiscountAmount": 1,
  "itemDiscountPercentage": 1,
  "itemPrice": 1,
  "note": "text",
  "properties": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "quantityOrdered": 1,
  "deliveryUid": "text",
  "returnReasonCode": "text",
  "returnReference": "text",
  "serialnumber": "text",
  "warehouseUid": "text",
  "reservationType": "NONE",
  "purchaseOrderItemUid": "text",
  "sortOrder": 1,
  "itemCostPrice": 1,
  "productName": "text"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "customerAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "firstname": "text",
    "lastname": "text",
    "mobile": "text",
    "postalCode": "text",
    "vatNumber": "text",
    "displayName": "text"
  },
  "customerUid": "text",
  "customerContact": {
    "customerContactUid": "text",
    "firstname": "text",
    "lastname": "text",
    "email": "text",
    "mobile": "text",
    "displayName": "text"
  },
  "deliveryState": "NOT_STARTED",
  "externalIds": [
    {
      "key": "text",
      "label": "text",
      "value": "text",
      "visibility": "INTERNAL"
    }
  ],
  "invoiceAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "mobile": "text",
    "firstname": "text",
    "lastname": "text",
    "postalCode": "text",
    "displayName": "text",
    "customerAddressUid": "text"
  },
  "items": [
    {
      "actions": [
        {
          "comment": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "handlingActionUid": "text",
          "handlingActionName": "text",
          "handlingDescription": "text",
          "handlingUid": "text",
          "handlingName": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "orderHandlingActionUid": "text"
        }
      ],
      "allowedActions": [
        "QUANTITY_SOLD"
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "discountReasonCode": "text",
      "externalId": "text",
      "externalOrderLinks": [
        {
          "orderId": "text",
          "orderNumber": "text",
          "orderItemId": "text",
          "system": "text",
          "type": "CREDIT"
        }
      ],
      "itemCost": 1,
      "itemDiscountAmount": 1,
      "itemDiscountPercentage": 1,
      "itemGrossProfitAmount": 1,
      "itemGrossProfitPercentage": 1,
      "itemPrice": 1,
      "itemVatAmount": 1,
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "name": "text",
      "note": "text",
      "orderItemReference": "text",
      "orderItemUid": "text",
      "orderLinks": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "storeUid": "text",
          "type": "CREDIT"
        }
      ],
      "originalItemPrice": 1,
      "productUid": "text",
      "productType": "STOCK",
      "properties": [
        {
          "uid": "text",
          "key": "text",
          "value": "text"
        }
      ],
      "quantityCredited": 1,
      "quantityDelivered": 1,
      "quantityOrdered": 1,
      "quantityReserved": 1,
      "returnReasonCode": "text",
      "returnReference": "text",
      "serialnumber": "text",
      "sku": "text",
      "sortOrder": 1,
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "totalCost": 1,
      "totalDiscountAmount": 1,
      "totalGrossProfitAmount": 1,
      "totalPrice": 1,
      "totalVatAmount": 1,
      "vatCodeUid": "text",
      "warehouseUid": "text",
      "warehouseName": "text",
      "internalInfo": "text",
      "productProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "coverImage": {
        "productMediaUid": "text",
        "mainUrl": "text",
        "thumbnailUrl": "text"
      },
      "deliveryUid": "text",
      "compensationReasonCode": "text",
      "orderReceiptUid": "text",
      "allowDelivery": "YES",
      "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
      "reservationType": "NONE",
      "reservationDetails": {
        "warehouse": {
          "warehouseName": "text"
        },
        "purchaseOrder": {
          "purchaseOrderUid": "text",
          "purchaseOrderItemUid": "text",
          "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
          "purchaseOrderNumber": "text",
          "quantityOrdered": 1,
          "externalId": "text"
        },
        "receivement": {
          "receivementUid": "text",
          "receivementItemUid": "text",
          "expectedArrival": "2026-01-01T00:00:00.000Z",
          "expectedDispatch": "2026-01-01T00:00:00.000Z",
          "quantity": 1,
          "supplierOrderReference": "text",
          "receivedAt": "2026-01-01T00:00:00.000Z"
        },
        "interStorePurchaseOrder": {
          "storeUid": "text",
          "storeName": "text",
          "purchaseOrderUid": "text",
          "purchaseOrderNumber": "text",
          "purchaseOrderItemUid": "text"
        },
        "interStorePurchaseOrderReceivement": {
          "receivementUid": "text",
          "receivementItemUid": "text",
          "expectedArrival": "2026-01-01T00:00:00.000Z",
          "expectedDispatch": "2026-01-01T00:00:00.000Z",
          "quantity": 1,
          "supplierOrderReference": "text",
          "receivedAt": "2026-01-01T00:00:00.000Z"
        }
      },
      "interStoreOrderReservationQuantity": 1,
      "gtins": [
        {
          "gtin": "text",
          "primary": true,
          "type": "text"
        }
      ],
      "usesVatMarginScheme": true
    }
  ],
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "interStorePurchaseOrder": {
    "purchaseOrderUid": "text",
    "purchaseNumber": "text",
    "storeUid": "text",
    "storeName": "text"
  },
  "note": "text",
  "internalNote": "text",
  "orderUid": "text",
  "orderNumber": "text",
  "orderDate": "2026-01-01T00:00:00.000Z",
  "orderState": "OPEN",
  "orderTotals": {
    "costTotal": 1,
    "grandTotal": 1,
    "grossProfitAmount": 1,
    "grossProfitPercentage": 1,
    "specifiedVat": [
      {
        "vatAmount": 1,
        "vatDescription": "text",
        "vatRate": 1
      }
    ],
    "subtotal": 1,
    "totalDiscount": 1,
    "totalVat": 1
  },
  "orderhandlingState": "NOT_STARTED",
  "orderhandlings": [
    {
      "active": true,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "description": "text",
      "handlingUid": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "name": "text",
      "orderHandlingUid": "text",
      "state": "NOT_STARTED"
    }
  ],
  "settleState": "NOT_STARTED",
  "settledAt": "2026-01-01T00:00:00.000Z",
  "settlementTotals": {
    "change": 1,
    "remaining": 1,
    "remainingRounded": 1,
    "totals": 1,
    "remainingPrePayment": 1,
    "remainingAuthorizedAmount": 1
  },
  "settlements": [
    {
      "amount": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "displayMessages": [
        {
          "key": "text",
          "message": "text",
          "timestamp": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalId": "text",
      "externalPaymentReference": "text",
      "idMethod": "NO_CVM_RULE_PERFORMED",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "ledgerType": "LEDGER",
      "parameters": [
        {
          "key": "text",
          "value": "text",
          "name": "text",
          "type": "TEXT"
        }
      ],
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementCode": "text",
      "settlementUid": "text",
      "settlementName": "text",
      "state": "NOT_STARTED",
      "status": "NEW",
      "storeSettlementIssuer": {
        "storeSettlementIssuerUid": "text",
        "name": "text",
        "code": "text"
      },
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "storePaymentMethodUid": "text",
      "currency": {
        "amount": 1,
        "code": "text",
        "exchangeRate": 1
      },
      "additionalDetails": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "creditCount": 1,
      "creditAmount": 1,
      "paymentCount": 1,
      "paymentAmount": 1,
      "tillUid": "text",
      "tillName": "text",
      "tillNumber": 1,
      "storeUid": "text",
      "storeName": "text",
      "orderReceiptUid": "text",
      "authorizedAmount": 1,
      "capturedAmount": 1,
      "refundedAmount": 1,
      "receiptText": "text",
      "transactions": [
        {
          "transactionType": "text",
          "pspTransactionId": "text",
          "transactionAmount": 1,
          "orderReceiptUid": "text"
        }
      ],
      "allowedActions": [
        "CANCEL"
      ]
    }
  ],
  "storeUid": "text",
  "storeName": "text",
  "systemOrigin": "text",
  "tenantUserDisplayName": "text",
  "tenantUserUid": "text",
  "tillUid": "text",
  "type": "OFFER",
  "validUntil": "2026-01-01T00:00:00.000Z",
  "vatFree": true,
  "vatPrint": "SUM",
  "voucherNumber": "text",
  "deliveryDate": "2026-01-01",
  "discounts": [
    {
      "orderDiscountUid": "text",
      "discountCode": "text",
      "type": "PERCENTAGE",
      "amount": 1,
      "name": "text",
      "origin": "LOYALTY",
      "validTo": "2026-01-01T00:00:00.000Z",
      "maxUsage": 1,
      "productSkus": [
        "text"
      ],
      "orderItemUids": [
        "text"
      ],
      "externalTransactionId": "text",
      "scope": "WHOLE_ORDER",
      "discountReasonCode": "text",
      "discountReference": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "campaignUid": "text"
    }
  ],
  "compensationReasonUid": "text",
  "lastModifiedBy": "text",
  "allowedActions": [],
  "blockings": [
    {
      "orderBlockingUid": "text",
      "type": "DELIVER_OUT",
      "description": "text"
    },
    {
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "deviations": [
    {
      "type": "DELIVERY_DATE_LATE",
      "orderItemUids": [
        "text"
      ],
      "openedAt": "2026-01-01T00:00:00.000Z",
      "description": "text",
      "sourceDate": "2026-01-01",
      "agreedDate": "2026-01-01",
      "latestPickupDate": "2026-01-01"
    }
  ]
}

Last updated

Was this helpful?